Package org.eclipse.cdt.core.dom.parser.cpp

# Class GPPScannerExtensionConfiguration

java.lang.Object
org.eclipse.cdt.core.dom.parser.AbstractScannerExtensionConfiguration
org.eclipse.cdt.core.dom.parser.GNUScannerExtensionConfiguration
org.eclipse.cdt.core.dom.parser.cpp.GPPScannerExtensionConfiguration

All Implemented Interfaces:
  `IScannerExtensionConfiguration`

Direct Known Subclasses:
  `POPCPPScannerExtensionConfiguration`

public class GPPScannerExtensionConfiguration extends GNUScannerExtensionConfiguration
Configures the preprocessor for c++-sources as accepted by g++.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.cdt.core.dom.parser.AbstractScannerExtensionConfiguration

`AbstractScannerExtensionConfiguration.MacroDefinition`

## Constructor Summary

Constructors
Constructor
Description
`GPPScannerExtensionConfiguration()`
`GPPScannerExtensionConfiguration(int version)`
`GPPScannerExtensionConfiguration(org.eclipse.cdt.core.dom.parser.cpp.GPPScannerExtensionConfiguration.CompilerType compiler, int version)`

## Method Summary

Modifier and Type
Method
Description
`static GPPScannerExtensionConfiguration`
`getInstance()`
`static GPPScannerExtensionConfiguration`
`getInstance(IScannerInfo info)`
`boolean`
`supportDigitSeparators()`
Support for C++14 digit separators in integer literals
`boolean`
`supportMinAndMaxOperators()`
Support for (deprecated) GNU minimum and maximum operators (`<?` and `>?`).
`boolean`
`supportRawStringLiterals()`
Support for C++ raw string literals.
`boolean`
`supportUserDefinedLiterals()`
User Defined Literals

### Methods inherited from class org.eclipse.cdt.core.dom.parser.GNUScannerExtensionConfiguration

`addAdditionalGNUKeywords, getAdditionalGNUMacros, support$InIdentifiers, supportAdditionalNumericLiteralSuffixes, version`

### Methods inherited from class org.eclipse.cdt.core.dom.parser.AbstractScannerExtensionConfiguration

`addKeyword, addMacro, addPreprocessorKeyword, createFunctionStyleMacro, createMacro, getAdditionalKeywords, getAdditionalMacros, getAdditionalPreprocessorKeywords, initializeMacroValuesTo1, supportAtSignInIdentifiers, supportSlashPercentComments, supportUTFLiterals`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GPPScannerExtensionConfiguration

public GPPScannerExtensionConfiguration()

### GPPScannerExtensionConfiguration

public GPPScannerExtensionConfiguration(int version)

Since:
  5.4

### GPPScannerExtensionConfiguration

public GPPScannerExtensionConfiguration(org.eclipse.cdt.core.dom.parser.cpp.GPPScannerExtensionConfiguration.CompilerType compiler, int version)

Since:
  6.3

## Method Details

### getInstance

public static GPPScannerExtensionConfiguration getInstance()

### getInstance

public static GPPScannerExtensionConfiguration getInstance(IScannerInfo info)

Since:
  5.4

### supportMinAndMaxOperators

public boolean supportMinAndMaxOperators()
Description copied from interface: `IScannerExtensionConfiguration`
Support for (deprecated) GNU minimum and maximum operators (`<?` and `>?`).

Specified by:
  `supportMinAndMaxOperators` in interface `IScannerExtensionConfiguration`
Overrides:
  `supportMinAndMaxOperators` in class `AbstractScannerExtensionConfiguration`
Returns:
  `true` if support for the extension should be enabled
See Also:
  - "http://gcc.gnu.org/onlinedocs/gcc/Deprecated-Features.html"

### supportRawStringLiterals

public boolean supportRawStringLiterals()
Description copied from interface: `IScannerExtensionConfiguration`
Support for C++ raw string literals.

Specified by:
  `supportRawStringLiterals` in interface `IScannerExtensionConfiguration`
Overrides:
  `supportRawStringLiterals` in class `AbstractScannerExtensionConfiguration`
Since:
  5.5

### supportUserDefinedLiterals

public boolean supportUserDefinedLiterals()
User Defined Literals

Specified by:
  `supportUserDefinedLiterals` in interface `IScannerExtensionConfiguration`
Overrides:
  `supportUserDefinedLiterals` in class `GNUScannerExtensionConfiguration`
Since:
  5.10

### supportDigitSeparators

public boolean supportDigitSeparators()
Description copied from interface: `IScannerExtensionConfiguration`
Support for C++14 digit separators in integer literals

Specified by:
  `supportDigitSeparators` in interface `IScannerExtensionConfiguration`
Overrides:
  `supportDigitSeparators` in class `GNUScannerExtensionConfiguration`